SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001498SiT!calendarpublic2011-04-25 20:142013-07-06 17:13
Reportermpower 
Assigned Topaulh 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.63p1 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001498: Calendar displays wrong months
DescriptionWhen setting public holidays calendar starts with december but should be january. Todays date shows up as the month before. For example today is April 25, setting public holidays shows today at march 25. When hovering the mouse over a day, the month and day show correctly. Seems that the calendars should start with January and not December.
Steps To ReproduceClick on set public holidays
TagsNo tags attached.
Attached Filespng file icon Screen shot 2011-04-25 at 1.14.25 PM.png [^] (95,664 bytes) 2011-04-25 20:14


png file icon Screen shot 2011-05-03 at 9.24.31 AM.png [^] (138,069 bytes) 2011-05-03 16:55

- Relationships
duplicate of 0001028closedivan Dates on Calender are out of order/in wrong place 
has duplicate 0001845resolvedpaulh Fail to Show February 

-  Notes
(0003763)
mpower (reporter)
2011-04-25 20:17

This bug seems to apply to all calendars when trying to book employee holidays the same issue also applys
User avatar (0003764)
Tomse (developer)
2011-04-25 20:55

can you turn on the debugger and go to the scheduler page, and paste a screenshot to the _forum_. I've tried to reproduce the error you describe, and I'm not successful.
User avatar (0003772)
ivan (administrator)
2011-05-03 16:01

Confirming from the screenshot. I would guess that this has something to do with timezones.

@mpower: if you could provide the info that Tomse has requested that would be very helpful towards figuring out what causes this and ultimately fixing it.
(0003773)
mpower (reporter)
2011-05-03 16:57

I am not sure what the _forum_ is but I uploaded the screenshot here.
Also, here is a dump from the log file incase you find anything useful here.

2011-05-03T09:23:49-06:00 /scheduler.php Warning [2] include(/home/entelit/httpd/helpdesk/i18n/English (CA).inc.php): failed to open stream: No such file or directory (in line 170 of file /home/entelit/httpd/helpdesk/lib/base.inc.php)
2011-05-03T09:23:49-06:00 /scheduler.php Warning [2] include(): Failed opening '/home/entelit/httpd/helpdesk/i18n/English (CA).inc.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') (in line 170 of file /home/entelit/httpd/helpdesk/lib/base.inc.php)
2011-05-03T09:23:49-06:00 /scripts/sit.js.php Warning [2] include(/home/entelit/httpd/helpdesk/i18n/English (CA).inc.php): failed to open stream: No such file or directory (in line 170 of file /home/entelit/httpd/helpdesk/lib/base.inc.php)
2011-05-03T09:23:49-06:00 /scripts/sit.js.php Warning [2] include(): Failed opening '/home/entelit/httpd/helpdesk/i18n/English (CA).inc.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') (in line 170 of file /home/entelit/httpd/helpdesk/lib/base.inc.php)
2011-05-03T09:24:01-06:00 /home/entelit/httpd/helpdesk/auto.php ERROR: Warning include(/home/entelit/httpd/helpdesk/i18n/English (CA).inc.php): failed to open stream: No such file or directory in /home/entelit/httpd/helpdesk/lib/base.inc.php at line 170
2011-05-03T09:24:01-06:00 /home/entelit/httpd/helpdesk/auto.php ERROR: Warning include(): Failed opening '/home/entelit/httpd/helpdesk/i18n/English (CA).inc.php' for inclusion (include_path='.:/usr/share/php:/usr/share/pear') in /home/entelit/httpd/helpdesk/lib/base.inc.php at line 170
2011-05-03T09:24:02-06:00 /home/entelit/httpd/helpdesk/auto.php ERROR: Application Error File specified in $CONFIG['default_i18n'] can't be found in /home/entelit/httpd/helpdesk/lib/functions.inc.php at line 7779
2011-05-03T09:24:02-06:00 /home/entelit/httpd/helpdesk/auto.php Scheduler actions due: CloseIncidents, SetUserStatus, TimeCalc, CheckIncomingMail
2011-05-03T09:24:02-06:00 /home/entelit/httpd/helpdesk/auto.php ERROR: Application Error File specified in $CONFIG['default_i18n'] can't be found in /home/entelit/httpd/helpdesk/inboundemail.php at line 65
User avatar (0003774)
Tomse (developer)
2011-05-03 17:17

hello mpower.
the forum is http://sitracker.org/forum [^]
it's alittle easier to communicate (better mail notifications etc) there hence my question to do so :-)
User avatar (0004738)
paulh (administrator)
2013-03-10 19:08

Thanks for this report, this is now fixed in SVN r7571 and git e4b751e and will be in the next release

- Issue History
Date Modified Username Field Change
2011-04-25 20:14 mpower New Issue
2011-04-25 20:14 mpower File Added: Screen shot 2011-04-25 at 1.14.25 PM.png
2011-04-25 20:17 mpower Note Added: 0003763
2011-04-25 20:55 Tomse Note Added: 0003764
2011-05-03 16:01 ivan Note Added: 0003772
2011-05-03 16:01 ivan Status new => confirmed
2011-05-03 16:02 ivan Summary Calandar displays wrong months => Calendar displays wrong months
2011-05-03 16:55 mpower File Added: Screen shot 2011-05-03 at 9.24.31 AM.png
2011-05-03 16:57 mpower Note Added: 0003773
2011-05-03 17:17 Tomse Note Added: 0003774
2011-06-14 20:18 Tomse Relationship added duplicate of 0001028
2013-03-09 12:37 paulh Relationship added has duplicate 0001845
2013-03-10 19:08 paulh Note Added: 0004738
2013-03-10 19:08 paulh Assigned To => paulh
2013-03-10 19:08 paulh Status confirmed => resolved
2013-03-10 19:08 paulh Resolution open => fixed
2013-03-10 19:08 paulh Fixed in Version => Current SVN
2013-07-06 17:13 ivan Target Version => 3.68


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker